# -*- makefile -*-

LOOPY    = loopy tree234 dsf

loopy    : [X] GTK COMMON LOOPY loopy-icon|no-icon

loopy    : [G] WINDOWS COMMON LOOPY loopy.res?

ALL += LOOPY

!begin gtk
GAMES += loopy
!end

!begin >list.c
    A(loopy) \
!end

!begin >wingames.lst
loopy.exe:Loopy
!end

# -*- makefile -*-

UNTANGLE = untangle tree234

untangle : [X] GTK COMMON UNTANGLE untangle-icon|no-icon

untangle : [G] WINDOWS COMMON UNTANGLE untangle.res?

ALL += UNTANGLE

!begin gtk
GAMES += untangle
!end

!begin >list.c
    A(untangle) \
!end

!begin >wingames.lst
untangle.exe:Untangle
!end

# -*- makefile -*-

FILLING = filling dsf

fillingsolver :	[U] filling[STANDALONE_SOLVER] dsf STANDALONE
fillingsolver :	[C] filling[STANDALONE_SOLVER] dsf STANDALONE

filling : [X] GTK COMMON FILLING filling-icon|no-icon

filling : [G] WINDOWS COMMON FILLING filling.res?

ALL += filling

!begin gtk
GAMES += filling
!end

!begin >list.c
    A(filling) \
!end

!begin >wingames.lst
filling.exe:Filling
!end

# -*- makefile -*-

dominosa : [X] GTK COMMON dominosa dominosa-icon|no-icon

dominosa : [G] WINDOWS COMMON dominosa dominosa.res?

ALL += dominosa

!begin gtk
GAMES += dominosa
!end

!begin >list.c
    A(dominosa) \
!end

!begin >wingames.lst
dominosa.exe:Dominosa
!end

# -*- makefile -*-

solo     : [X] GTK COMMON solo solo-icon|no-icon

solo     : [G] WINDOWS COMMON solo solo.res?

solosolver :    [U] solo[STANDALONE_SOLVER] STANDALONE
solosolver :    [C] solo[STANDALONE_SOLVER] STANDALONE

ALL += solo

!begin gtk
GAMES += solo
!end

!begin >list.c
    A(solo) \
!end

!begin >wingames.lst
solo.exe:Solo
!end
